> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zivio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a sales milestone by ID



## OpenAPI

````yaml get /sales_milestones/{id}
openapi: 3.0.0
info:
  title: API V3
  version: '3'
  description: >-
    Create your API key from the API Keys section of the Admin Dashboard to gain
    access to the API.
  contact:
    name: API Support
    email: support@zivio.com
servers:
  - url: https://api.zivio.net/api/v3
    description: Global API Router
  - url: https://api.eu.zivio.net/api/v3
    description: EU Data Region
  - url: https://api.uk.zivio.net/api/v3
    description: UK Data Region
  - url: https://api.us.zivio.net/api/v3
    description: US Data Region
security:
  - apiKey: []
    tenantId: []
paths:
  /sales_milestones/{id}:
    get:
      tags:
        - Sales Milestones
      summary: Retrieve a sales milestone by ID
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ok
          content:
            '*/*':
              schema:
                type: object
                properties:
                  id:
                    type: integer
                    example: '66'
                  client_suggested:
                    type: boolean
                    example: 'true'
                  title:
                    type: string
                    example: Title of Milestone
                  details:
                    type: string
                    example: Details of Milestone
                  rate:
                    type: string
                    example: '1500.00'
                  ccy:
                    type: string
                    example: GBP
                  due_on:
                    type: string
                    format: date-time
                  notes:
                    type: string
                    example: some notes relating to the milestone
                  comments:
                    type: string
                    example: some comments relating to the milestone
                  job_id:
                    type: integer
                    example: '2669'
                  job_summary:
                    type: string
                    example: summary of miestone
                  created_at:
                    type: string
                    format: date-time
                  updated_at:
                    type: string
                    format: date-time
                  status:
                    type: string
                    example: open
                  approved_at:
                    type: string
                    format: date-time
                  approved_by:
                    type: object
                    properties:
                      id:
                        type: integer
                        example: '7158'
                      first_name:
                        type: string
                        example: Jack
                      last_name:
                        type: string
                        example: Jones
                      email:
                        type: string
                        example: jack_jones@example.com
                      org_name:
                        type: string
                        example: Organisation Ltd
                      org_id:
                        type: integer
                        example: '567'
                      business_unit:
                        type: string
                        example: Public Private Partnerships
                      division:
                        type: string
                        example: Infastructure
                      department:
                        type: string
                        example: Bridges
                      vetting_status:
                        type: string
                        example: PASSED
                      created_at:
                        type: string
                        format: date-time
                      updated_at:
                        type: string
                        format: date-time
                      custom_fields:
                        type: object
                        properties:
                          key:
                            type: string
                            example: value
                      has_oversight:
                        type: string
                        format: 'true'
                  children:
                    type: array
                    items:
                      type: integer
                      example: '124'
                  parents:
                    type: array
                    items:
                      type: integer
                      example: '14'
                  custom_fields:
                    type: object
                    properties:
                      key:
                        type: string
                        example: value
        '401':
          description: unauthorized
        '404':
          description: not found
components:
  securitySchemes:
    apiKey:
      type: apiKey
      name: X-API-Key
      in: header
    tenantId:
      type: apiKey
      name: zivio-tenant-id
      in: header

````